matrix:
  platform:
  - centos7_java11_devtoolset10
  - debian10
  - ubuntu2004
  - macos
  - windows
tasks:
  build:
    platform: ${{ platform }}
    build_flags:
    - '--cxxopt=-std=c++14'
    build_targets:
    - '@re2//:re2'

bcr_test_module:
  module_path: '.'

  matrix:
    platform:
    - centos7_java11_devtoolset10
    - debian10
    - ubuntu2004
    - macos
    - windows
  tasks:
    test:
      platform: ${{ platform }}
      test_flags:
      - '--cxxopt=-std=c++14'
      test_targets:
      - '//:all'
      - '-//:dfa_test'
      - '-//:exhaustive1_test'
      - '-//:exhaustive2_test'
      - '-//:exhaustive3_test'
      - '-//:exhaustive_test'
      - '-//:random_test'
